Endpoint Groups
Subscriptions
Subscriptions operations within the Products API group.
List data product subscriptionsGET
/data-products/{productSlug}/subscriptions
Operation ID
listDataProductSubscriptionsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Create data product subscriptionPOST
/data-products/{productSlug}/subscriptions
Operation ID
createDataProductSubscriptionPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
productSlug |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
409 |
The request conflicts with the current state of the server. |
429 |
Client error |
500 |
Server error |